Send an SMS message
curl --request POST \
--url https://api.altahq.com/v1/inbox/sms/messages/send \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"prospectId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"body": "<string>"
}
'import requests
url = "https://api.altahq.com/v1/inbox/sms/messages/send"
payload = {
"prospectId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"body": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
prospectId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
body: JSON.stringify('<string>')
})
};
fetch('https://api.altahq.com/v1/inbox/sms/messages/send', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"messageId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}{
"error": "ValidationError",
"message": "Invalid request body"
}{
"error": "Unauthorized",
"message": "Invalid API token"
}{
"error": "TooManyRequests",
"message": "Rate limit exceeded. Please retry after 60 seconds."
}SMS
Send an SMS message
Sends an SMS message to a prospect. Rate limited to 10 requests per minute.
POST
/
inbox
/
sms
/
messages
/
send
Send an SMS message
Authorizations
API token authentication. Generate a token from the Alta dashboard and pass it as a Bearer token in the Authorization header.
Body
application/json
Response
SMS message sent successfully
The ID of the sent SMS message.